SAPR-ART
dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Как из trace сделать обычную линию?

Как из trace сделать обычную линию?

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 06.09.2004, 14:09 #1
Как из trace сделать обычную линию?
Нюра
 
Регистрация: 06.09.2004
Сообщений: 1

Нюра вне форума Вставить имя

Или хотябы заменить толщину на 0? она не редактируется никак. Кто может что еще предложить, кроме перерисовки? может есть чтото взрывающее этот тип?
Просмотров: 1441
 
Непрочитано 06.09.2004, 17:10
#2
Эдуард

строительство
 
Регистрация: 16.01.2004
Петербург
Сообщений: 164
Отправить сообщение для Эдуард с помощью ICQ


Бороться можно так:
Код:
[Выделить все]
(defun C:trace-line (/ nabor-tr dxf-line dxf-coord)
  (if
    (setq
      nabor-tr (ssget "x"
		      (list '(0 . "trace") (cons 410 (getvar "ctab")))
	       )
    )
     (progn
       (setq nabor-tr (vl-remove-if
			'listp
			(mapcar	'cadr
				(ssnamex nabor-tr)
			)
		      )
       )
       (foreach	i nabor-tr
	 (setq dxf-line	(cons '(0 . "line")
			      (vl-remove-if-not
				'(lambda (x)
				   (member (car x) '(6 8 62 370))

				 )

				(entget i)
			      )
			)
	 )				;setq
	 (setq dxf-coord (vl-remove-if-not
			   '(lambda (y)
			      (member (car y) '(10 11 12 13))

			    )

			   (entget i)
			 )
	 )
	 (setq start-pt	(mapcar	'*
				(mapcar	'+
					(cdr (assoc 10 dxf-coord))
					(cdr (assoc 11 dxf-coord))
				)
				'(0.5 0.5 0.5)
			)
	 )
	 (setq end-pt (mapcar '*
			      (mapcar '+
				      (cdr (assoc 12 dxf-coord))
				      (cdr (assoc 13 dxf-coord))
			      )
			      '(0.5 0.5 0.5)
		      )
	 )
	 (setq dxf-coord (list
			   (cons 10 start-pt)
			   (cons 11 end-pt)
			   
			 )
	 )
	 (entmake (append dxf-line dxf-coord))
	 (entdel i)
       )				;foreach
     )					;progn
  )					;if
  (princ)
)					;defun
Эдуард вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Как из trace сделать обычную линию?

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||